This project is mirrored from https://github.com/haskell/Cabal. Pull mirroring updated .
  1. 03 Nov, 2018 5 commits
  2. 01 Nov, 2018 2 commits
  3. 29 Oct, 2018 2 commits
  4. 26 Oct, 2018 1 commit
  5. 25 Oct, 2018 2 commits
  6. 23 Oct, 2018 2 commits
  7. 22 Oct, 2018 1 commit
  8. 17 Oct, 2018 1 commit
    • Herbert Valerio Riedel's avatar
      Do register monolithic packages if they contain a buildable pub-lib (#5604) · a4578fc8
      Herbert Valerio Riedel authored
      As the case of `cpphs-1.20.8` has shown in #5379, in cases when a
      monolithic package gets installed due to its executable components
      (i.e. `exe:cpphs`) into the store we *have* to register if there's a
      buildable public library (i.e. `lib:cpphs`) that was built and installed
      into the same store folder as otherwise this will cause build failures
      once a target actually depends on `lib:cpphs`
      
      This ought to fix #5379
      a4578fc8
  9. 14 Oct, 2018 1 commit
  10. 12 Oct, 2018 1 commit
  11. 04 Oct, 2018 1 commit
  12. 03 Oct, 2018 2 commits
  13. 20 Sep, 2018 1 commit
  14. 19 Sep, 2018 1 commit
  15. 01 Sep, 2018 1 commit
  16. 28 Aug, 2018 2 commits
  17. 14 Aug, 2018 1 commit
  18. 10 Aug, 2018 1 commit
  19. 08 Aug, 2018 2 commits
  20. 06 Aug, 2018 2 commits
    • Alec Theriault's avatar
      Make `--haddock-for-hackage` work with older Haddock (#5496) · 13a8991c
      Alec Theriault authored
      We only error-out when an explicit `--(haddock-)quickjump` is specified on a version of
      Haddock that doesn't support it.
      
      However, if `--(haddock-)quickjump` was implied by `--(haddock-)for-hackage`, we should just
      warn.
      
      Fixes #5494.
      13a8991c
    • quasicomputational's avatar
      Add --reject-uncsontrained-dependencies (#5475) · 26938a59
      quasicomputational authored
      This restricts the solver to a closed set of packages.
      
      Previously, even with freeze files, there was no good way to instruct
      cabal-install to avoid pulling in extra, unconstrained
      packages. `--reject-unconstrained-dependencies=all` forces the solver
      to stay within the set of packages that are either local packages,
      explicit goals, or which are explicitly constrained in configuration
      files or via the `--constraint` flag
      
      Closes #2568.
      26938a59
  21. 03 Aug, 2018 4 commits
  22. 02 Aug, 2018 4 commits